Last Comment Bug 616275 - nsEstablishedWebSocketConnection::RemoveFromLoadGroup always short-circuits
: nsEstablishedWebSocketConnection::RemoveFromLoadGroup always short-circuits
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking: WebSockets (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Patrick McManus [:mcmanus]
:
Mentors:
Depends on: 640003
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-02 14:03 PST by Josh Matthews [:jdm]
Modified: 2011-05-24 06:49 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Josh Matthews [:jdm] 2010-12-02 14:03:16 PST
RemoveFromLoadGroup calls GetLoadGroup as so:

>  2358 NS_IMETHODIMP
>  2359 nsWebSocketEstablishedConnection::GetLoadGroup(nsILoadGroup **aLoadGroup)
>  2360 {
>  2361   *aLoadGroup = nsnull;
>  2362   if (!mOwner)
>  2363     return NS_OK;

However, from Disconnect, the only caller of RemoveLoadGroup:

>  2101     mOwner = nsnull;

Is this a problem?
Comment 1 Patrick McManus [:mcmanus] 2011-03-15 09:10:00 PDT
This is fixed in 640003
Comment 2 Patrick McManus [:mcmanus] 2011-05-24 06:49:21 PDT
fixed as part of 640003

Note You need to log in before you can comment on or make changes to this bug.